> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/content-agent/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/content-agent/admin/migration.md).

# Migration

## 1.12.0 > 2.0.0

If Content Agent `1.12.0` has been used in order to utilise the client credential support (if using multiple OC's/for Wire application), this config now has been moved up in scope.

```javascript
/**
*   1.12.0 config where clientId, clientSecret and tokenProvider 
*   is part of the opencontent scope
*/
{
    "${DBKS:CA_PROVIDER}": {
        "opencontent": {
            "host": "${DBKS:CA_OC_PROVIDER_HOST}",
            "clientId": "old-position-for-client-id",
            "clientSecret": "old-position-for-client-secret",
            "tokenProvider": "old-position-for-token-provider"
        },
        [...]
    }
}
```

```javascript
/**
*   2.0.0 config where clientId, clientSecret 
*   is part of the provider scope instead.
*   tokenProvider is removed due to this config is within
*   the NavigaID core module for the specific environment
*/

{
    "${DBKS:CA_PROVIDER}": {
        "clientId": "new-position-for-client-id",
        "clientSecret": "new-position-for-client-secret",
        
        "opencontent": {
            "host": "${DBKS:CA_OC_PROVIDER_HOST}"
        },
        [...]
    }
}
```

#### Real config example

![](/files/-MNTIBgP_bCm2fv-EPMC)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/content-agent/admin/migration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
